<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity Memos.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idinternal"
                                 baseTableName="memo"
                                 constraintName="fk_memos_dealer_id"
                                 referencedColumnNames="idparrol"
                                 referencedTableName="internal"/>

        <addForeignKeyConstraint baseColumnNames="idbilling"
                                 baseTableName="memo"
                                 constraintName="fk_memos_billing_id"
                                 referencedColumnNames="idbilling"
                                 referencedTableName="billing"/>

        <addForeignKeyConstraint baseColumnNames="idmemotype"
                                 baseTableName="memo"
                                 constraintName="fk_memos_memo_type_id"
                                 referencedColumnNames="idmemotype"
                                 referencedTableName="memo_type"/>

    </changeSet>
</databaseChangeLog>
